	program ott
CC
CC      This program calculates source flux densities
CC      using the spectra given by Ott et al 1994, AA 284,331
CC
        real nu, array, lognu, flux, logflux, oflux(13)
        integer nsource
        dimension array(1:5,1:13)
        character*8  sname(13), oname(13)
CC
        data array / 1408, 23780, 2.465, -0.004, -0.1251,
     1            1408, 23780, 2.525, 0.246, -0.1638,
     2            1408, 23780, 2.806, -0.140, -0.1031,
     3            1408, 10550, 1.250, 0.726, -0.2286,
     4            1408, 10550, 4.729, -1.025, 0.0130,
     5	          1408, 5000,  6.757, -2.801, 0.2969,
     6            1408, 5000,  2.537, -0.565, -0.0404,
     7            1408, 10550, 4.484, -0.603, -0.0280,
     8            1408, 43200, 0.956, 0.584, -0.1644,
     9            1408, 32000, 1.490, 0.756, -0.2545,
     A            1408, 32000, 2.617, -0.437, -0.0373,
     B            1408, 10550, 3.852, -0.361, -0.1053,
     C            1408, 10550, 3.148, -0.157, -0.0911 /
CC
        data sname/ '3c48','3c123','3c147','3c161','3c218',
     1     '3c227', '3c249.1','3c274','3c286','3c295',
     2     '3c309.1','3c348','3c353'/	       
CC
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
CC
CC     What is the Observing frequency?
CC
       print *, ' what is the observing frequency (MHz)'   
        read (*,*) nu
        print *, ' ' 
CC
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
CC
CC     Find sources with accurate spectra at this frequency
CC      and calculate flux density
CC
       do 100 i=1,13
CC
         if ((nu.ge.array(1,i)).and.(nu.le.array(2,i))) then 
            nsource = nsource + 1
            lognu = log10(nu) 
            logflux = array(3,i) + lognu*array(4,i) + 
     1         (lognu**2)*array(5,i)
            flux = 10.0**(logflux)
            oname(nsource) = sname(i)
            oflux(nsource) = flux  
         else 
CC
         endif       
CC
100      continue
CC
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
CC
CC     Now print out fluxes
CC
       print *, 'Ott et al (1994), AA 284, 381 gives'
CC
       do 200 i=1, nsource
         write(*,10)  oname(i), oflux(i)   	 
200    continue
CC	 
10	FORMAT('source_',A7,1X,'=',1X,F5.2) 
CC
       end
CC










